﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <DataTemplate x:Key="FileItemTemplate">
        <TextBlock Text="{Binding Path}">
            <TextBlock.InputBindings>
                <MouseBinding
                    Command="{Binding DataContext.OpenFile, RelativeSource={RelativeSource AncestorType=TreeView}}"
                    CommandParameter="{Binding Path}"
                    MouseAction="LeftDoubleClick" />
            </TextBlock.InputBindings>
        </TextBlock>
    </DataTemplate>
</ResourceDictionary>